<?php
//raply_random.phpで特定の単語を受け取った場合に特定の反応を返したいときに使う、反応のパターンを書くためのファイルです。
//複数のパターンに一致する場合は上のものが優先されます。PHPの正規表現にも対応しています。

$reply_pattern = array(
    //「おはよ」を含む発言（「おはよ」「おはよう」「おはよー」など）を受け取ると「おはようございます、御主人様」もしくは「Good Morning, Master.」と返すサンプルです
    "おはよ"=> array(
        "おはようございます、御主人様",
        "Good morning, master.",
    ),
    //「今日の運勢」を含む発言を受け取ると６種類の中からランダムな返答を返すサンプルです
    "今日の運勢"=> array(
        "大吉",
        "中吉",
        "小吉",
        "末吉",
        "吉",
        "凶",
    ),
    //「こんにちは」「こんにちわ」「こんちは」「こんちわ」を含む発言を受け取ると「こんにちはこんにちは！」と返す正規表現のサンプルです
    "こん(に)?ち[はわ]"=> array(
        "こんにちはこんにちは！",
    ),
    //「会話終了」を含む発言を受け取るとリプライを返さないようにするサンプルです
    "会話終了"=> array(
        "[[END]]",
    ),        
);